{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "extends": ["devops/renovate-config"],
  "dependencyDashboard": true,
  "enabledManagers": [
    "github-actions"
  ],
  "automerge": true,
  "ignoreTests": true,
  "labels": ["devops/renovate-config"],
  "packageRules": [
    {
      "description": "use fix scope for renovate updates",
      "matchPackageNames": ["renovatebot/renovate"],
      "semanticCommitType": "fix",
      "ignoreTests": true,
      "automerge": true
    },
    {
      "description": "Automerge renovate updates",
      "matchPackageNames": ["renovatebot/renovate"],
      "matchUpdateTypes": ["minor", "patch", "digest"],
      "ignoreTests": true,
      "automerge": true,
      "automergeType": "branch"
    }
  ],
  "customManagers": [
    {
      "customType": "regex",
      "description": "Update Renovate",
      "fileMatch": [
        "^\\.pre-commit-(?:config|hooks)\\.yaml$",
        "^README\\.md$"
      ],
      "matchStrings": [
        "additional_dependencies: \\[renovate@(?<currentValue>.*?)\\]",
        "rev: (?<currentValue>.*?)\\s"
      ],
      "depNameTemplate": "renovate",
      "datasourceTemplate": "npm"
    }
  ]
}
